Skip to content
Finerlise
Esc
↑↓navigate↵open⌘Jpreview

Remove a hook; idempotent

DELETE/hooks/{hookId}
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:hooks:write
Path parameters
hookIdstring<uuid>required

Hook id.

Responses
204

Removed (or already gone).

401

Missing or invalid token.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

403

The token lacks the required scope.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

429

Rate limited; see the Retry-After header.

errorstringrequired

Short message; same as message.

codestringrequired
Allowed:invalid_requestunauthorizedinsufficient_scopenot_foundmethod_not_allowedrate_limitedinternal_error
messagestringrequired
hintstringrequired

How to resolve the error.

docsstringrequired

Where the API is described.

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://finerlise.com/api/v1/hooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Accept: application/json'
Response
Removed (or already gone).

Was this page helpful?